org.apache.tinkerpop.gremlin.process.computer

## Class MemoryComputeKey<A>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.MemoryComputeKey<A>

- All Implemented Interfaces:
    Serializable, Cloneable

      public final class MemoryComputeKey<A>
      extends Object
      implements Serializable, Cloneable

  A `MemoryComputeKey` specifies what keys will be used by a `Memory` during a `GraphComputer` computation. A MemoryComputeKey maintains a `BinaryOperator` which specifies how to reduce parallel values into a single value. A MemoryComputeKey can be broadcasted and as such, the workers will receive mutations to the `Memory` value. A MemoryComputeKey can be transient and thus, will not be accessible once the `GraphComputer` computation is complete.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemoryComputeKey<A>` | `clone()`
    `boolean` | `equals(Object object)`
    `String` | `getKey()`
    `BinaryOperator<A>` | `getReducer()`
    `int` | `hashCode()`
    `boolean` | `isBroadcast()`
    `boolean` | `isTransient()`
    `static <A> MemoryComputeKey<A>` | `of(String key, BinaryOperator<A> reducer, boolean isBroadcast, boolean isTransient)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public String getKey()

    - #### isTransient

          public boolean isTransient()

    - #### isBroadcast

          public boolean isBroadcast()

    - #### getReducer

          public BinaryOperator<A> getReducer()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### clone

          public MemoryComputeKey<A> clone()

      Overrides:
        `clone` in class `Object`

    - #### of

          public static <A> MemoryComputeKey<A> of(String key,
                                                   BinaryOperator<A> reducer,
                                                   boolean isBroadcast,
                                                   boolean isTransient)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.